javax.visrec.spi

## Class ImplementationService

- java.lang.Object
- - javax.visrec.spi.ImplementationService

    public abstract class ImplementationService
    extends Object

Returns information about the used implementation of visual recognition API

Since:
  1.0
Author:
  Kevin Berendsen

### Constructor Summary

Constructors
Constructor and Description
`ImplementationService()`

### Method Summary

All Methods Instance Methods Abstract Methods Concrete Methods
`abstract int` `getMajorVersion()` Get the major version of the implementation
`abstract int` `getMinorVersion()` Get the minor version of the implementation
`abstract String` `getName()` Get the name of the implementation
`String` `toString()` Returns the name, major and minor version of the implementation

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### ImplementationService

    public ImplementationService()

### Method Detail

#### getName

    public abstract String getName()

Get the name of the implementation

Returns:
  name as `String`

#### getMajorVersion

    public abstract int getMajorVersion()

Get the major version of the implementation

Returns:
  major version as `int`

#### getMinorVersion

    public abstract int getMinorVersion()

Get the minor version of the implementation

Returns:
  minor version as `int`

#### toString

    public final String toString()

Returns the name, major and minor version of the implementation

Overrides:
  `toString` in class `Object`
Returns:
  combined information in a `String`